Public Class frmAnalyze

  Private Sub btnAnalyze_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAnalyze.Click
    'Analyze the first character of a string
    Dim anyString As String
    anyString = txtString.Text.ToUpper
    Select Case anyString.Substring(0, 1)
      Case "S", "Z"
        txtResult.Text = "The string begins with a sibilant."
      Case "A" To "Z"
        txtResult.Text = "The string begins with a nonsibilant."
      Case "0" To "9"
        txtResult.Text = "The string begins with a digit."
      Case Is < "0"
        txtResult.Text = "The string begins with a character of " & _
                         "ANSI value less than 48."
      Case Else
        txtResult.Text = "The string begins with :  ;  <  =  > " & _
                         " ?  @  [  \  ]  ^  _  or  ' ."
    End Select
  End Sub

End Class
